> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nx1cloud.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Generate a list of suggested questions

> Generates a list of suggested questions or queries for a specific data domain.



## OpenAPI

````yaml post /api/query/suggest
openapi: 3.1.0
info:
  title: Nx1 AI API
  description: |

    AI API for Nx1 Data Platform Management and Automated Data Tasks.

    Authentication is required via PSK in Authorization header.

    Default PSK is | [ask a friend] |
  version: 0.10.2
servers: []
security: []
paths:
  /api/query/suggest:
    post:
      tags:
        - Queries (formerly cards)
      summary: Generate a list of suggested questions
      description: >-
        Generates a list of suggested questions or queries for a specific data
        domain.
      operationId: suggest_api_query_suggest_post
      parameters:
        - name: x-correlation-id
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Correlation-Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SuggestRequest'
      responses:
        '200':
          description: Suggestion successfully requested.
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/AiSuggestion'
                title: Response Suggest Api Query Suggest Post
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Bad Request
        '404':
          description: Domain not found.
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - OAuth2AuthorizationCodeBearer: []
        - APIKeyHeader: []
components:
  schemas:
    SuggestRequest:
      properties:
        domain:
          type: string
          title: Domain
          description: The domain or data context that NexusOne generates suggestions for.
      type: object
      required:
        - domain
      title: SuggestRequest
    AiSuggestion:
      properties:
        id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Id
          description: A unique identifier for the AI-generated suggestion.
        suggestion:
          type: string
          title: Suggestion
          description: A short title or summary of the AI-generated suggestion.
        description:
          type: string
          title: Description
          description: A detailed explanation or reasoning for the generated suggestion.
        sql:
          type: string
          title: Sql
          description: The SQL query generated by the AI based on the suggestion.
      type: object
      required:
        - suggestion
        - description
        - sql
      title: AiSuggestion
    ErrorResponse:
      properties:
        error:
          type: string
          title: Error
          description: A brief description of the error that occurred.
        code:
          type: integer
          title: Code
          description: The HTTP status code associated with the error.
          default: 500
      type: object
      required:
        - error
      title: ErrorResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    OAuth2AuthorizationCodeBearer:
      type: oauth2
      flows:
        authorizationCode:
          scopes: {}
          authorizationUrl: >-
            https://sso-rapid.rapid.nx1cloud.com/realms/rapid/protocol/openid-connect/auth
          tokenUrl: >-
            https://sso-rapid.rapid.nx1cloud.com/realms/rapid/protocol/openid-connect/token
    APIKeyHeader:
      type: apiKey
      in: header
      name: Authorization-PSK

````